Name:           gtorrentviewer
Version:        0.2b
Release:        8%{?dist}
Summary:        A GTK2-based viewer and editor for BitTorrent meta files

Group:          Applications/Internet
License:        GPL
URL:            http://gtorrentviewer.sourceforge.net/
Source0:        http://dl.sf.net/gtorrentviewer/GTorrentViewer-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

BuildRequires:  curl-devel, gtk2-devel >= 2.4, desktop-file-utils, gettext

%description
GTorrentViewer gives you the ability to see and modify all the possible
information from .torrent files without having to start downloading, and
the ability to see in real time the current number of seeds and peers on
the torrent, so you will always know the status before starting the
download.

%prep
%setup -q -n GTorrentViewer-%{version}

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__rm} -f %{buildroot}%{_datadir}/GTorrentViewer/README
/usr/bin/desktop-file-install \
        --vendor startcom \
	--add-category X-StartCom \
        --delete-original \
        --dir %{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/gtorrentviewer.desktop

%clean
%{__rm} -rf %{buildroot}

%post
/usr/bin/update-desktop-database > /dev/null || :

%postun
/usr/bin/update-desktop-database > /dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/gtorrentviewer
%{_datadir}/GTorrentViewer
%{_datadir}/applications/startcom-gtorrentviewer.desktop
%{_datadir}/pixmaps/gtorrentviewer.png
%{_datadir}/pixmaps/gtorrentviewer.xpm
%{_mandir}/man1/gtorrentviewer.1*

%changelog
* Sat Apr 01 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Feb 14 2006 Paul Howarth <paul@city-fan.org> 0.2b-8
- cosmetic tweak: use macros instead of variables
- don't use macros in command paths, hardcode them instead

* Thu Nov  9 2005 Paul Howarth <paul@city-fan.org> 0.2b-7
- rebuild

* Mon Oct 17 2005 Paul Howarth <paul@city-fan.org> 0.2b-6
- rebuild

* Tue May 10 2005 Paul Howarth <paul@city-fan.org> 0.2b-5
- fix URL for SOURCE0 not to point to a specific sf.net mirror
- remove redundant build dependencies
- tidy URL

* Mon May  9 2005 Paul Howarth <paul@city-fan.org> 0.2b-4
- remove hard-coded dist tag, no longer needed
- remove duplicate README file from %{_datadir}/GTorrentViewer

* Mon May  9 2005 Paul Howarth <paul@city-fan.org> 0.2b-3
- reverted desktop file pathname to relative paths
- run update-desktop-database in post-scripts; add post and
  postun dependencies on desktop-file-utils
- use full URL for SOURCE0
- tidy up description

* Mon May  9 2005 Paul Howarth <paul@city-fan.org> 0.2b-2
- lowercased package name
- removed zero sized NEWS file
- add dist tag to release

* Fri May  6 2005 Paul Howarth <paul@city-fan.org> 0.2b-1
- initial build for Fedora Extras
